class Audio {
    constructor(statusHandler) {
        this.formatTime = (timeInseconds) => {
            const minutes = Math.floor(timeInseconds / 60);
            const seconds = Math.floor(timeInseconds % 60);
            return {
                seconds: timeInseconds,
                formatted: `${minutes}:${(seconds < 10 ? '0' : '') + seconds}`
            };
        };
        this.statusHandler = statusHandler;
        this.status = {};
    }
    setStatus(changes) {
        this.status = Object.assign(Object.assign({}, this.status), changes);
        this.statusHandler(this.status);
    }
}
export default Audio;
