var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { NativeModules } from 'react-native';
import Audio from './Audio';
const RCTAudioRecorder = NativeModules.AudioRecorder;
class AudioRecorder extends Audio {
    constructor(fileName, statusHandler) {
        super(statusHandler);
        this.prepare = () => __awaiter(this, void 0, void 0, function* () {
            try {
                const success = yield RCTAudioRecorder.prepare(this.fileName);
                this.setStatus({ ready: success });
            }
            catch (e) {
                console.error(e);
                this.setStatus({ ready: false });
            }
        });
        this.toggleRecording = () => __awaiter(this, void 0, void 0, function* () {
            if (!this.status.recording) {
                RCTAudioRecorder.start();
                this.startTimer();
                this.setStatus({
                    recording: true,
                    finished: false
                });
            }
            else {
                RCTAudioRecorder.stop();
                this.clearTimer();
                this.setStatus({
                    recording: false,
                    finished: true
                });
            }
        });
        this.timeCounter;
        this.fileName = fileName;
        this.status = {
            ready: false,
            recording: false,
            finished: false,
            currentTime: this.formatTime(0)
        };
    }
    startTimer() {
        // takes a second to fire so start with 1
        let time = 1;
        this.timeCounter = setInterval(() => {
            this.setStatus({
                currentTime: this.formatTime(time++)
            });
        }, 1000);
    }
    clearTimer() {
        clearInterval(this.timeCounter);
        this.setStatus({
            currentTime: this.formatTime(0)
        });
    }
}
export default AudioRecorder;
